                        /* needs.h, 20 May 11 */

extern int percent_need_match,
	   sus_min_need_match,
	   max_fails_need_match;

struct seen_need_rec {
	short total_seen;
	struct need_num_rec *need_ptr;
	struct seen_need_rec *next;
	};

// List of matched need sequences
extern struct seen_need_rec *all_seen_need_list;

extern void handle_need_match(enum match_enum match_kind,
			      struct num_db_rec *spec_num_ptr,
			      DIGIT_CHAR *mantissa,
			      int len_mantissa,
			      DIGIT_CHAR *exponent);
extern void need_match_fail(DIGIT_CHAR * mantissa,
			    int len_mantissa,
			    DIGIT_CHAR * exponent);
extern void finish_needs(void);
extern void init_needs(void);

